import * as React from 'react';
import { PolyglotOptions } from 'node-polyglot';
/**
 * Props accepted by the I18n component.
 */
export interface I18nProps extends PolyglotOptions {
    /** The current locale. */
    locale: string;
    /** The current key-value map of phrases. */
    phrases: object;
}
/**
 * A component to allow consumption of i18n props from any nested children.
 */
declare const I18n: React.FC<I18nProps>;
export default I18n;
