import * as React from 'react';
import { InterpolationOptions } from 'node-polyglot';
/**
 * Props accepted by the T component.
 */
export interface TProps {
    /** A count used for pluralization. */
    count?: number;
    /** A fallback phrase to render when the provided key does not resolve. */
    fallback?: string;
    /** A key-value map of components or strings to be interpolated. */
    interpolations?: number | InterpolationOptions;
    /** The key of the phrase to render. */
    phrase: string;
}
/**
 * A component to render a translated string.
 */
declare const T: React.FC<TProps>;
export default T;
